// Marmalade headers
#include "s3e.h"

// iwGame engine headers

// Game headers
#include "Common.h"
#include "Game.h"
#include "IwGameHttp.h"
#include "IwGameFile.h"

int main()
{
	// Init Game
	Game::Create();
	GAME->Init();

	// Play some MP3 music using s3e Audio (if the codec is supported)
//	if (s3eAudioIsCodecSupported(S3E_AUDIO_CODEC_MP3))
//		s3eAudioPlay("music.mp3", 1);

	// Initialise the http manager
	CIwGameHttpManager::Create();
	IW_GAME_HTTP_MANAGER->Init();
	
	// Download some test files
	char data[1024];
	CIwGameFile* file = new CIwGameFile();
	file->Open("http://www.battleballz.com/default.aspx", false, true);
	file->Read(data, 1024);
	file->Close();
	CIwGameFile* file2 = new CIwGameFile();
	file2->Open("http://www.battleballz.com/bb_icon.gif");
	file2->Close();

	// Main Game Loop
	while (!s3eDeviceCheckQuitRequest())
	{
		// Update the game
		if (!GAME->Update())
			break;

		// Check for back button quit
		if (IW_GAME_INPUT->isKeyDown(s3eKeyAbsBSK))
			break;

		// Draw the scene
		GAME->Draw();

		// Update http manager
		IW_GAME_HTTP_MANAGER->Update();
	}

	// Clean up files
	if (file != NULL)
		delete file;
	if (file2 != NULL)
		delete file2;
	
	// Clean up http manager
	IW_GAME_HTTP_MANAGER->Release();
	CIwGameHttpManager::Destroy();

	GAME->Release();
	Game::Destroy();

    return 0;
}

